diff --git a/modules/mid_registrar/save.c b/modules/mid_registrar/save.c
index c5bb3b546e8..6ac2ac73c45 100644
--- a/modules/mid_registrar/save.c
+++ b/modules/mid_registrar/save.c
@@ -2495,6 +2495,7 @@ int mid_reg_save(struct sip_msg *msg, udomain_t *d, str *flags_str,
 
 	rerrno = R_FINE;
 	memset(&sctx, 0, sizeof sctx);
+	sctx.cmatch.mode = CT_MATCH_NONE;
 
 	LM_DBG("saving to %.*s...\n", d->name->len, d->name->s);
 
diff --git a/modules/registrar/save.c b/modules/registrar/save.c
index ddb38d02e5e..7724da7be6c 100644
--- a/modules/registrar/save.c
+++ b/modules/registrar/save.c
@@ -622,6 +622,7 @@ int save_aux(struct sip_msg* _m, str* forced_binding, void* _d, str* flags_s,
 	rerrno = R_FINE;
 	memset( &sctx, 0 , sizeof(sctx));
 
+	sctx.cmatch.mode = CT_MATCH_NONE;
 	sctx.min_expires = min_expires;
 	sctx.max_expires = max_expires;
 	if ( flags_s )
diff --git a/parser/parse_uri.h b/parser/parse_uri.h
index 865413410cd..d55355f8a61 100644
--- a/parser/parse_uri.h
+++ b/parser/parse_uri.h
@@ -114,7 +114,7 @@ static inline unsigned short get_uri_port(struct sip_uri* _uri,
  * @param - URI param name to search for
  * @val - output value
  *
- * Return: 0 on success, -1 if not found
+ * Return: 0 on parser-recognized parameters or success, -1 otherwise
  */
 static inline int get_uri_param_val(const struct sip_uri *uri,
                                     const str *param, str *val)
